<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

include ("../inc/config.inc.php");
?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/func_txt.inc.php") ?>
<?php require ("../inc/lst.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Historiques Produits / Interventions</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Affichage nouvelle fenêtre pour impression -->
<script type="text/javascript">
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
</script>

</head>

<body>

<?php
	include_once ("entete.php"); 
?>

<p align="center"><span class="titrepage">HISTORIQUES ARTICLES </span></p>

<?PHP
	// $fic_imp = "int_lsti.php";
	include_once ("../inc/formr.php"); 

	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);

	$rech = cree_strrechlstpdtih();
	$rech .= crestr_triord($pdti_titre_col,"pdti_codepdt",FALSE,$limit);
		 
	// echo $rech;
	// exit();

	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête
	

	// *** Pagination
	if(empty($_GET['page']))$_GET['page'] = 0; // Valeur de par défaut du nombre de pages
	
	$pages = intval($numrows/$limit); // Nombre total de pages
	
	if($numrows%$limit) $pages++; // S'il y a un reste à la division, alors page+1
	$current = ($_GET['page']/$limit) + 1; // Numéro de page courante
		
	if(($pages < 1) || ($pages == 0)) 
	  $total = 1; // Si le nombre de pages est inférieur à 1 ou égal à 0, alors le nombre total de pages est 1
	else 
	 $total = $pages; // Sinon, on conserve la variable $page telle qu'elle
		
	$first = $_GET['page'] + 1; // Premier résultat
		
	if(((($_GET['page'] + $limit) / $limit) >= $pages) && $pages != 1) 
		 $last = $_GET['page'] + $limit; // Si ce n'est pas la dernière page de résultats, alors la dernière page de résultat est $page + $limit
	else
		$last = $numrows; // Si c'est la dernière page de résultats, le dernier résultat est égal au nombre total de résultats
	// *** Fin de Pagination

	if($numrows == 0)
	{
		retpp();
	}
	 else
	{
		$rech = cree_strrechlstpdtih();
		$rech .= crestr_triord($pdti_titre_col,"pdti_codepdt",FALSE,$limit);
	}

	// *** Fin de Chaîne de Recherche

	$rs = mysql_query($rech) or die(mysql_error());
	$numrows = mysql_num_rows($rs);

		
	// *** Affichage de la table
     echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     

	// Création entête
	titlst(TRUE,$pdti_titre_col);
    echo "<th>".ucfirst("Interventions")."</th>\n";
		
	
	$i = 0;
	
	
	while ($row = mysql_fetch_assoc($rs)) 
	{         
	 // Affichage résumé intervention

		// Création de l'entête de ligne (TR)
		creetrlst($i);

		 // Affichage Code Produit
		 
         echo "<td>".$row["pdti_codepdt"];
		 
			 // Affichage détail Produit
	
				 $detailpdt = "->";
				 if ($row["pdt_des"] <> "")
					$detailpdt .= $row["pdt_des"];
				 echo "<br>";
				 echo "<span class=\"annot_petit_it\">";
				 echo $detailpdt;
				 echo "</span>";
		
			 // Fin affichage détail Produit
		 
		 echo "</td>\n";
         
		 // Fin affichage Produit
		 
		 // Affichage Code Intervention 

		 echo "<td>".$row["pdti_codeint"];
		 
			 // Affichage détail client
	
				 $detailcli = "Client : ";
				 if ($row["cli_ste"] <> "")
					$detailcli .= $row["cli_ste"].", ";
				 $detailcli .= $row["cli_civilite"]." ".$row["cli_nom"];
				 echo "<br>";
				 echo "<span class=\"annot_petit_it\">";
				 echo $detailcli;
				 echo "</span>";
		
			 // Fin affichage détail client

			 // Affichage détail Intervention
	
				 $detailint = "Début : ".formatedate($row["int_datedde"]);
				 echo "<br>";
				 echo "<span class=\"annot_petit_it\">";
				 if (formatedate($row["int_datefin"]) <> "")
				 	$detailint .= " / Fin : ".formatedate($row["int_datefin"]);
				 echo $detailint;
				 echo "</span>";
		
			 // Fin affichage détail Intervention

		 echo "</td>\n";

		 // Fin Affichage Code Intervention 

		 // Affichage Quantité

         echo "<td>";

			 echo "<div align=\"center\">";
			 echo $row["pdti_qte"];
			 echo "</div>";
	
		 echo "</td>\n";

		 // Fin affichage Quantité


		 // Affichage PU

         echo "<td>";

			 echo "<div align=\"center\">";
			 echo $row["pdti_puttc"]."€";
			 echo "</div>";
	
		 echo "</td>\n";

		 // Fin affichage PU

         echo "<td>".$row["pdti_ns"]."</td>\n";

		// CREATION lien dynamique sur icône (édition, suppression, etc...)
		 echo "<td>";
		 echo "<div align=\"center\">";

		$lst_maj = TRUE;

		 echo "<a href=\"int_maj.php?td=edit&ci=".$row["int_code"]."\"><img src=\"../img/edit.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
		 echo " ";

		$lst_imp = TRUE;
		
		 $urlimp = "int_pdf.php?ci=".$row["int_code"];
		 echo "<a href=\"javascript:;\" onclick=\"lanceimp('".$urlimp."');\")><img src=\"../img/print.gif\" title=\"Imprimer la fiche\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";
		 echo " ";

		$lst_impc = TRUE;
		
		 $urlimp = "int_pdf.php?ci=".$row["int_code"]."&cgv=ok";
		 echo "<a href=\"javascript:;\" onclick=\"lanceimp('".$urlimp."');\")><img src=\"../img/printc.gif\" title=\"Imprimer (avec CGV)\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>";

		 echo "</div>";
		 echo "</td>\n";

		 echo "</tr>\n";
	 // Fin affichage résumé intervention
		
		$i++;    
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	
	// *** Pagination de pied
	echo "<table width=\"100%\" border=\"0\">
	<tr>
	<td align=\"center\">\n";
		
	if (!empty($_GET['page']) && $_GET['page'] > 0)
	{
	   $back_page = $_GET['page'] - $limit;
	   $url = $_SERVER["PHP_SELF"]."?page=$back_page";
	
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
	   
	   
	   echo "<a href=\"$url\"><img src=\"../img/prec.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>    \n";
	}
	 
	// Boucle sur chaque page et CREATION d'un lien sur celle-ci
	// Pas de page s'il n'y a seulement qu'une page
	if($pages > 1)
	{
	 for ($i=1; $i <= $pages; $i++) 
	 {
	   $ppage = $limit*($i - 1);
	   if ($ppage == $_GET['page'])
		  echo("<span class=\"psel\">$i</span> \n");
	   else
	   {
		  $url = $_SERVER["PHP_SELF"]."?page=$ppage";
						  
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
						  
		  echo("<span class=\"pnsel\"><a href=\"$url\">$i</a></span> \n");
	   }
	 }
	}
	
	if(((($_GET['page']+$limit) / $limit) < $pages) && $pages != 1) 
	{   
	   $next_page = $_GET['page'] + $limit; // Si c'est la dernière page, pas de page suivante
	   $url = $_SERVER["PHP_SELF"]."?page=$next_page";
		
		if(!empty($_GET['search']))
			$url .= "&search=".$_GET['search']; // CREATION de 'search'
		if(!empty($_GET['rech']))
			$url .= "&rech=".$_GET['rech']; // CREATION de 'rech'
		if(!empty($_GET['ord']))
			$url .= "&ord=".$_GET['ord']; // CREATION de 'ord'
		if(!empty($_GET['tri']))
			$url .= "&tri=".$_GET['tri']; // CREATION de 'tri'
	   
	   echo "    <a href=\"$url\"><img src=\"../img/suiv.png\" width=\"".$hl_vign."\" height=\"".$hl_vign."\" border=\"0\" align=\"absmiddle\"></a>\n";
	}
	 
	echo "</td>
		 </tr>
		 </table>"; 

	// *** Fin de pagination de pied	

	mysql_close($conn);  
	
	$taille_piedla="";
	include_once ("../inc/piedla.php"); 
?>

<?php 
	include_once ("pied.php")
?>